Package ru.bitel.bgbilling.modules.walletone.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.walletone.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ParameterMap`
  `defaultAutopaymentSetup`
  `static final String`
  `KEY_AUTOPAYMENT_ID`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_ENABLE`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_FISCALIZATION_URL_GATE`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_ENABLE`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_DEFAULT`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_ENABLE`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_ENABLE`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `KEY_WALLETONE_AUTOPAYMENT_URL_GATE`
  `static final String`
  `KEY_WALLETONE_CALLBACK_FIELDS`
  `static final String`
  `KEY_WALLETONE_COMMENT`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_ENABLE`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_RECEIPT_LINEATTR`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_RECEIPT_PAYATTR`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_KIND`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_TYPE`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_RECEIPT_QTY`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_RECEIPT_TAXMODE`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_RECEIPT_VAT`
  `static final String`
  `KEY_WALLETONE_FISCALIZATION_URL_GATE`
  `static final String`
  `KEY_WALLETONE_LIFETIME`
  `static final String`
  `KEY_WALLETONE_PASSWORD`
  `static final String`
  `KEY_WALLETONE_PAYMENT_COMMENT`
  `static final String`
  `KEY_WALLETONE_PAYMENT_STATUS_OK`
  `static final String`
  `KEY_WALLETONE_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_WALLETONE_POINT_ID`
  `static final String`
  `KEY_WALLETONE_REQUEST_READ_TIMEOUT`
  `static final String`
  `KEY_WALLETONE_REQUEST_TIMEOUT`
  `static final String`
  `KEY_WALLETONE_SUM_MAX`
  `static final String`
  `KEY_WALLETONE_SUM_MIN`
  `static final String`
  `KEY_WALLETONE_URL_GATE`
  `static final String`
  `KEY_WALLETONE_URL_RETURN_NO`
  `static final String`
  `KEY_WALLETONE_URL_RETURN_OK`
  `static final String`
  `REQUEST_PARAM_CALLBACK_FIELDS`
  `static final String`
  `REQUEST_PARAM_COMMENT`
  `static final String`
  `REQUEST_PARAM_IS_RECURRENT_START`
  `static final String`
  `REQUEST_PARAM_LIFETIME`
  `static final String`
  `REQUEST_PARAM_ORDER_ID`
  `static final String`
  `REQUEST_PARAM_ORDER_IDP`
  `static final String`
  `REQUEST_PARAM_PARENT_ORDER_IDP`
  `static final String`
  `REQUEST_PARAM_RECEIPT`
  `static final String`
  `REQUEST_PARAM_RECEIPT_SIGNATURE`
  `static final String`
  `REQUEST_PARAM_SHOP_IDP`
  `static final String`
  `REQUEST_PARAM_SIGNATURE`
  `static final String`
  `REQUEST_PARAM_STATUS`
  `static final String`
  `REQUEST_PARAM_SUBTOTAL_P`
  `static final String`
  `REQUEST_PARAM_URL_RETURN_NO`
  `static final String`
  `REQUEST_PARAM_URL_RETURN_OK`
  `static final String`
  `WALLETONE_AUTOPAYMENT_FISCALIZATION_URL_GATE`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_DEFAULT`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final int`
  `WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `WALLETONE_AUTOPAYMENT_URL_GATE`
  `static final String`
  `WALLETONE_CALLBACK_FIELDS`
  `static final String`
  `WALLETONE_COMMENT`
  `static final int`
  `WALLETONE_FISCALIZATION_RECEIPT_LINEATTR`
  `static final String`
  `WALLETONE_FISCALIZATION_RECEIPT_NAME`
  `static final int`
  `WALLETONE_FISCALIZATION_RECEIPT_PAYATTR`
  `static final int`
  `WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_KIND`
  `static final int`
  `WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_TYPE`
  `static final String`
  `WALLETONE_FISCALIZATION_URL_GATE`
  `static final int`
  `WALLETONE_LIFETIME`
  `static final String`
  `WALLETONE_PAYMENT_COMMENT`
  `static final String`
  `WALLETONE_PAYMENT_STATUS_AUTHORIZED`
  `static final String`
  `WALLETONE_PAYMENT_STATUS_PAID`
  `static final int`
  `WALLETONE_REQUEST_READ_TIMEOUT`
  `static final int`
  `WALLETONE_REQUEST_TIMEOUT`
  `static final int`
  `WALLETONE_SUM_MAX`
  `static final int`
  `WALLETONE_SUM_MIN`
  `static final String`
  `WALLETONE_URL_GATE`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WALLETONE_REQUEST_TIMEOUT

    public static final int WALLETONE_REQUEST_TIMEOUT
    See Also:
      - Constant Field Values

  - ### WALLETONE_REQUEST_READ_TIMEOUT

    public static final int WALLETONE_REQUEST_READ_TIMEOUT
    See Also:
      - Constant Field Values

  - ### WALLETONE_SUM_MIN

    public static final int WALLETONE_SUM_MIN
    See Also:
      - Constant Field Values

  - ### WALLETONE_SUM_MAX

    public static final int WALLETONE_SUM_MAX
    See Also:
      - Constant Field Values

  - ### WALLETONE_LIFETIME

    public static final int WALLETONE_LIFETIME
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_DEFAULT

    public static final int WALLETONE_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final int WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final int WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final int WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final int WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final int WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final int WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final int WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final int WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final int WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final int WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final int WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final int WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### WALLETONE_FISCALIZATION_RECEIPT_PAYATTR

    public static final int WALLETONE_FISCALIZATION_RECEIPT_PAYATTR
    See Also:
      - Constant Field Values

  - ### WALLETONE_FISCALIZATION_RECEIPT_LINEATTR

    public static final int WALLETONE_FISCALIZATION_RECEIPT_LINEATTR
    See Also:
      - Constant Field Values

  - ### WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_KIND

    public static final int WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_KIND
    See Also:
      - Constant Field Values

  - ### WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_TYPE

    public static final int WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_TYPE
    See Also:
      - Constant Field Values

  - ### WALLETONE_URL_GATE

    public static final String WALLETONE_URL_GATE
    See Also:
      - Constant Field Values

  - ### WALLETONE_FISCALIZATION_URL_GATE

    public static final String WALLETONE_FISCALIZATION_URL_GATE
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_URL_GATE

    public static final String WALLETONE_AUTOPAYMENT_URL_GATE
    See Also:
      - Constant Field Values

  - ### WALLETONE_AUTOPAYMENT_FISCALIZATION_URL_GATE

    public static final String WALLETONE_AUTOPAYMENT_FISCALIZATION_URL_GATE
    See Also:
      - Constant Field Values

  - ### WALLETONE_COMMENT

    public static final String WALLETONE_COMMENT
    See Also:
      - Constant Field Values

  - ### WALLETONE_PAYMENT_COMMENT

    public static final String WALLETONE_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### WALLETONE_FISCALIZATION_RECEIPT_NAME

    public static final String WALLETONE_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### WALLETONE_PAYMENT_STATUS_PAID

    public static final String WALLETONE_PAYMENT_STATUS_PAID
    See Also:
      - Constant Field Values

  - ### WALLETONE_PAYMENT_STATUS_AUTHORIZED

    public static final String WALLETONE_PAYMENT_STATUS_AUTHORIZED
    See Also:
      - Constant Field Values

  - ### WALLETONE_CALLBACK_FIELDS

    public static final String WALLETONE_CALLBACK_FIELDS
    See Also:
      - Constant Field Values

  - ### KEY_AUTOPAYMENT_ID

    public static final String KEY_AUTOPAYMENT_ID
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_ORDER_ID

    public static final String REQUEST_PARAM_ORDER_ID
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_STATUS

    public static final String REQUEST_PARAM_STATUS
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_SHOP_IDP

    public static final String REQUEST_PARAM_SHOP_IDP
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_COMMENT

    public static final String REQUEST_PARAM_COMMENT
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_LIFETIME

    public static final String REQUEST_PARAM_LIFETIME
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_ORDER_IDP

    public static final String REQUEST_PARAM_ORDER_IDP
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_SUBTOTAL_P

    public static final String REQUEST_PARAM_SUBTOTAL_P
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_PARENT_ORDER_IDP

    public static final String REQUEST_PARAM_PARENT_ORDER_IDP
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_URL_RETURN_OK

    public static final String REQUEST_PARAM_URL_RETURN_OK
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_URL_RETURN_NO

    public static final String REQUEST_PARAM_URL_RETURN_NO
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_IS_RECURRENT_START

    public static final String REQUEST_PARAM_IS_RECURRENT_START
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_SIGNATURE

    public static final String REQUEST_PARAM_SIGNATURE
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_CALLBACK_FIELDS

    public static final String REQUEST_PARAM_CALLBACK_FIELDS
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_RECEIPT

    public static final String REQUEST_PARAM_RECEIPT
    See Also:
      - Constant Field Values

  - ### REQUEST_PARAM_RECEIPT_SIGNATURE

    public static final String REQUEST_PARAM_RECEIPT_SIGNATURE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_SUM_MIN

    public static final String KEY_WALLETONE_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_SUM_MAX

    public static final String KEY_WALLETONE_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_COMMENT

    public static final String KEY_WALLETONE_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_POINT_ID

    public static final String KEY_WALLETONE_POINT_ID
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_PASSWORD

    public static final String KEY_WALLETONE_PASSWORD
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_LIFETIME

    public static final String KEY_WALLETONE_LIFETIME
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_URL_GATE

    public static final String KEY_WALLETONE_URL_GATE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_URL_RETURN_OK

    public static final String KEY_WALLETONE_URL_RETURN_OK
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_URL_RETURN_NO

    public static final String KEY_WALLETONE_URL_RETURN_NO
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_CALLBACK_FIELDS

    public static final String KEY_WALLETONE_CALLBACK_FIELDS
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_PAYMENT_TYPE_ID

    public static final String KEY_WALLETONE_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_PAYMENT_COMMENT

    public static final String KEY_WALLETONE_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_PAYMENT_STATUS_OK

    public static final String KEY_WALLETONE_PAYMENT_STATUS_OK
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_REQUEST_TIMEOUT

    public static final String KEY_WALLETONE_REQUEST_TIMEOUT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_REQUEST_READ_TIMEOUT

    public static final String KEY_WALLETONE_REQUEST_READ_TIMEOUT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_ENABLE

    public static final String KEY_WALLETONE_AUTOPAYMENT_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_URL_GATE

    public static final String KEY_WALLETONE_AUTOPAYMENT_URL_GATE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_FISCALIZATION_URL_GATE

    public static final String KEY_WALLETONE_AUTOPAYMENT_FISCALIZATION_URL_GATE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_DEFAULT

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_ENABLE

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_ENABLE

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_ENABLE

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final String KEY_WALLETONE_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_ENABLE

    public static final String KEY_WALLETONE_FISCALIZATION_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_URL_GATE

    public static final String KEY_WALLETONE_FISCALIZATION_URL_GATE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_RECEIPT_NAME

    public static final String KEY_WALLETONE_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_RECEIPT_QTY

    public static final String KEY_WALLETONE_FISCALIZATION_RECEIPT_QTY
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_RECEIPT_VAT

    public static final String KEY_WALLETONE_FISCALIZATION_RECEIPT_VAT
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_RECEIPT_TAXMODE

    public static final String KEY_WALLETONE_FISCALIZATION_RECEIPT_TAXMODE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_RECEIPT_PAYATTR

    public static final String KEY_WALLETONE_FISCALIZATION_RECEIPT_PAYATTR
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_RECEIPT_LINEATTR

    public static final String KEY_WALLETONE_FISCALIZATION_RECEIPT_LINEATTR
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_KIND

    public static final String KEY_WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_KIND
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_TYPE

    public static final String KEY_WALLETONE_FISCALIZATION_RECEIPT_PAYMENTS_TYPE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE

    public static final String KEY_WALLETONE_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final String KEY_WALLETONE_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_WALLETONE_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED

    public static final String KEY_WALLETONE_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED
    See Also:
      - Constant Field Values

  - ### defaultAutopaymentSetup

    public static final ParameterMap defaultAutopaymentSetup
    See Also:
      - `ContractAutopaymentServiceImpl.contractAutopaymentModeList(int)`

- ## Constructor Details

  - ### Constants

    public Constants()